Package org.apache.commons.collections4.bidimap

# Class AbstractDualBidiMap.ValuesIterator<V>

java.lang.Object
org.apache.commons.collections4.iterators.AbstractUntypedIteratorDecorator<E,E>
org.apache.commons.collections4.iterators.AbstractIteratorDecorator<V>
org.apache.commons.collections4.bidimap.AbstractDualBidiMap.ValuesIterator<V>

Type Parameters:
  `V` - the value type.

All Implemented Interfaces:
  `Iterator<V>`

Enclosing class:
  AbstractDualBidiMap<K,V>

protected static class AbstractDualBidiMap.ValuesIterator<V> extends AbstractIteratorDecorator<V>
Inner class ValuesIterator.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `canRemove`
  Whether remove is allowed at present
  `protected V`
  `lastValue`
  The last returned value
  `protected final AbstractDualBidiMap<Object,V>`
  `parent`
  The parent map

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ValuesIterator(Iterator<V> iterator, AbstractDualBidiMap<?,V> parent)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `V`
  `next()`
  `void`
  `remove()`

  ### Methods inherited from class org.apache.commons.collections4.iterators.AbstractUntypedIteratorDecorator

  `getIterator, hasNext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Field Details

  - ### parent

    protected final AbstractDualBidiMap<Object,V> parent
    The parent map

  - ### lastValue

    protected V lastValue
    The last returned value

  - ### canRemove

    protected boolean canRemove
    Whether remove is allowed at present

- ## Constructor Details

  - ### ValuesIterator

    protected ValuesIterator(Iterator<V> iterator, AbstractDualBidiMap<?,V> parent)
    Constructs a new instance.
    Parameters:
      `iterator` - the iterator to decorate
      `parent` - the parent map

- ## Method Details

  - ### next

    public V next()
    Description copied from class: `AbstractIteratorDecorator`
    Specified by:
      `next` in interface `Iterator<V>`
    Overrides:
      `next` in class `AbstractIteratorDecorator<V>`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<V>`
    Overrides:
      `remove` in class `AbstractUntypedIteratorDecorator<V,V>`